package task

import (
	"github.com/gin-gonic/gin"
	v1 "log-server/api/v1"
	"log-server/middleware"
)

type UrgentTaskRouter struct {
}

func (r *UrgentTaskRouter) InitUrgentTaskRouter(Router *gin.RouterGroup) {
	GameTaskRouter := Router.Group("gameTask")
	urgentTaskApi := v1.ApiGroupApp.GroupTask.UrgentTaskApi
	{
		GameTaskRouter.POST("getUrgentTaskList", urgentTaskApi.GetUrgentTaskList) //获取紧急任务列表
		GameTaskRouter.POST("getUrgentTaskById", urgentTaskApi.GetUrgentTaskById) //通过id单个获取紧急任务
		GameTaskRouter.POST("getUnusedPc", urgentTaskApi.GetUnusedPc)             //获取空闲租机列表

	}

	urgentTaskApi1 := Router.Group("gameTask").Use(middleware.OperationRecord())
	{
		urgentTaskApi1.POST("createUrgentTask", urgentTaskApi.CreateUrgentTask)             //创建紧急任务
		urgentTaskApi1.POST("deleteUrgentTask", urgentTaskApi.DeleteUrgentTask)             //单个删除紧急任务
		urgentTaskApi1.DELETE("deleteUrgentTaskByIds", urgentTaskApi.DeleteUrgentTaskByIds) //批量删除紧急任务
		urgentTaskApi1.POST("updateUrgentTask", urgentTaskApi.UpdateUrgentTask)             //更新紧急任务
	}
}
